Subject: Re: [PATCH bpf-next] libbpf: Add libbpf_version() function to get library version at runtime

From: Jiri Benc <[email-masked]>
Date: Thu, 19 Nov 2020 09:56:36 +0100

On Wed, 18 Nov 2020 09:43:25 -0800, Alexei Starovoitov wrote:
> Just like the kernel doesn't add features for out-of-tree modules
> libbpf doesn't add features for projects where libbpf is optional.

A more fitting comparison would be the kernel refusing to add a new
uAPI call because some application refuses to bundle the kernel.
A libbpf equivalent of a kernel module would be some kind of libbpf
plugin (which does not exist), asking for an internal libbpf API to be
added.

Alexei, could you please start cooperating with others and actually
listening to others' needs? I know you started eBPF but you're not the
only user anymore and as much convinced you may be about your view,
people have reasons for what they're doing. It would help greatly if
you could listen to these reasons.

 Jiri